# PalEdit

## About

PalEdit is a palette editor which can edit and manipulate various different palette and graphic formats.

## Features

- Select All, None, Inverse or Used Colors
- Supports .act, .pal, .gpl, .txt, .bmp, .gif, .png, .jpg, .pcx, .tif
- Supports Photoshop (.act), Microsoft (.pal), JASC (.pal), GIMP (.gpl) and Paint.NET (.txt) palette formats
- Importing of palettes to combine with other palettes
- Exporting to .s or .c for the Nintendo DS X1B5G5B5 format
- Cut, Copy, Paste, Fill, Swap, Merge and Gradient
- View Bitmap to paint, color picker, swap color
- Ctrl click to select multiple palette entries
- Modify Hue, Saturation, Brightness and Tint of color entries
- Transparency index selection
- Support for Photoshop palette format
- Palette support for C64, CGA, CPC, GBC, Mono, MSX, NES, Next, Pico-8, VIC20, ZX
- Quantize with Color Offset, Color Count and Include Transparency options
- Description for the color blind
- Swatches and palette lock
- Complement, Split Complement, Triadic, Tetradic and Analagous schemes
- Sort Sqrt, H > S > L, Lab Distance
- Order Rotate Left, Rotate Right, Reverse
- Restrict RGB332, RGB333, RGB444, RGB555, RGB565

## Screenshots

![](/images/PalEdit1.png)

![](/images/PalEdit2.png)

![](/images/PalEdit3.png)

![](/images/PalEdit4.png)

![](/images/PalEdit5.png)

## Release Notes

| Date | Description |
|---|---|
| 26-02-2024 | v3.0 - Swatch control multi-selection, full context menu and more |
| 22-02-2024 | v2.8 - Sort Sqrt, H > S > L, Lab Distance, Order Rotate Left, Rotate Right, Reverse, Restrict RGB332, RGB333, RGB444, RGB555, RGB565 |
| 21-12-2021 | v2.7 - Add RVN |
| 20-11-2021 | v2.6 - Improved Swatches Palette selection dropdown, add donation window |
| 22-09-2021 | v2.5 - Bug fixes |
| 10-08-2021 | v2.4 - Bug fixes |
| 06-07-2021 | v2.3 - Add drag and drop image loading support |
| 02-07-2021 | v2.2 - Add more batch processing features and slicing |
| 02-06-2021 | v2.1 - Batch process fix |
| 23-05-2021 | v2.0 - Color schemes and sort swatches palette |
| 21-05-2021 | v1.9 - Support for JASC, GIMP and Paint.NET palette formats |
| 20-05-2021 | v1.8 - Load and save settings, select matching and non-matching colors in swatches palette |
| 21-04-2021 | v1.7 - Load bug fix, 64-bit and Mono support |
| 11-03-2021 | v1.6 - Batch process, Start and End Only gradient option, more Next export options |
| 25-02-2021 | v1.5 - Improved GUI, gradient editor, swatches, palette lock, color merge |
| 06-02-2021 | v1.4 - Improved View Bitmap, improved quantize |
| 06-11-2020 | v1.3 - Added palette support, quantize, non-destructive sorting, used color selection, Next export |
| 21-03-2009 | v1.2 - Added gradient support |
| 16-02-2009 | v1.1 - Added palette swap, and various bug fixes and improvements |
| 14-02-2009 | v1.0 - First Release |
